/*
 * xp_lock_manager.h:
 *
 * Common definitions to any client who wants to use the extern pager for
 * lock management.
 * Erez Zadok, Spring 1992.  e6118y.
 */

/*
 * Types of un/lock requests.
 */
#define XP_READ_LOCK	1
#define XP_READ_UNLOCK	2
#define XP_WRITE_LOCK	3
#define XP_WRITE_UNLOCK	4

/*
 * Name for external pager lock manager.
 */
#define XP_LOCK_MANAGER_NAME	"ExternalPagerLockManager"

/*
 * external pager lock manager return codes.
 */
#define XP_LOCK_MGR_SUCCESS	1
#define XP_LOCK_MGR_QUEUE	2
#define XP_LOCK_MGR_FAIL	3

/*
 * external pager read/write state
 */
#define STATE_NONE	1
#define STATE_READING	2
#define STATE_WRITING	3
