#
# Sample site configuration for Pmakefiles used by Pmake/Customs
# $Id: config.mk,v 1.14 1993/04/05 05:51:25 stolcke Exp $
#
# Compiler defaults
# These are used in customs/Makefile, lib/lst/Makefile, and lib/sprite/Makefile
#
#ifdef sun
# ifdef SYSV
#  System V compatible compilation on Sun -- force with pmake -DSYSV
CC		= /usr/5bin/cc
# elifdef sparc
#CC		= cc
#OPTIMIZE	= -O # -g
# Sun C - yuck!
#SCDIR		= /usr/local/lang/SC2.0.1
#CC		= LM_LICENSE_FILE=$(SCDIR)/SunTech_License/license.dat \
		  $(SCDIR)/acc
OPTIMIZE	= -fast
# gcc2 wins !!!
CC		= gcc -pipe
OPTIMIZE	= -g -O #-finline-functions
STATICFLAG	= -static
PUREFLAG	= -Xlinker -n -Xlinker -Bdynamic
# elifdef mc68000
CC		= gcc -pipe -msoft-float
OPTIMIZE	= -g -O -finline-functions
STATICFLAG	= -static
PUREFLAG	= -Xlinker -n -Xlinker -Bdynamic
# endif
#elifdef mips
# ifdef sgi
CC		= cc -xansi -D__STDC__
# else
CC		= cc
# endif
OPTIMIZE	= -g3 -O
#elifdef vax
CC		= gcc
OPTIMIZE	= -g -O -fstrength-reduce -finline-functions
#elifdef NeXT
CC		= cc -pipe
OPTIMIZE	= -g -O -fstrength-reduce -finline-functions
INSTALL		= install -c -u
GROUP		= wheel		# NeXT doesn't have group system
#elifdef hpux
CC		= cc
OPTIMIZE	= -O # -g 
#endif

##########################
# Some things to fix up the default installation for customs
# This is strictly site-dependent!
##########################
#
# We have the sprite man macros in /usr/local/lib/ditmac, so there is 
# no need to paste them into the man page.
#
#HAVE_SPRITE_MAN	=

#
# Ultrix man doesn't understand MANPATH, so everything has to go into /usr/man
#
#ifdef ultrix
MANDIR = $(DESTDIR)/usr/man
MANEXT1 = l
MANEXT8 = l
#endif

#
# Use local install if available
#
#if exists(/usr/local/etc/install)
INSTALL		= /usr/local/etc/install -c
#endif

