/*
 * Print the proces's pid, group id and terminal id.
 */

#include <stdio.h>
#include <sys/types.h>

main(argc, argv)
     int argc;
     char *argv[];
{ int i, retval;
  if (argc == 2)
    i = atoi(argv[1]);
  else
    i = 99;			/* big enough? */
  retval = i;
  while (i-- > 0) {
    fprintf(stderr,
	    "\t{%d} PID=%d, PPID=%d, PGID=%d, TCGRP=%d.\n",
	    i, getpid(), getppid(), getpgrp(getpid()), tcgetpgrp(0));
    sleep(1);
  }
  exit(retval);
}
